﻿.right-box {
    width: 32%;
    border-radius: 10px;
    padding: 0 4vw 2vh;
    background-color: var(--background);
}

    .right-box:hover {
        box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
    }

    .right-box h2 {
        text-align: center;
        margin: 2vh 0;
        font-family: Kaushan Script;
        font-size: 40px;
        color: var(---dark_text);
        border-bottom: 2px solid black;
    }

.right-text {
    display: flex;
    flex-direction: column;
    gap: 3vh;
    padding-top: 1vh;
}

.right-box a {
    border: 1px solid rgba(0, 0, 0, 0.1);
    padding: 1vh 1.5vw;
    text-decoration: none;
    color: var(--light_text);
    border-radius: 10px;
    font-size: 18px;
}

    .right-box a:hover {
        background-color: #e7e7df;
        box-shadow: 0 2px 15px rgba(0, 0, 0, 0.2);
    }

@media (max-width: 940px) {
    .right-box {
        width: 100%;
    }

        .right-box:hover {
            box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
        }

    .right-text {
        padding: 5vh 0;
    }

    .right-box a {
        padding: 4vh 3vw;
        font-size: 20px;
        background-color: #e7e7df;
    }
}

@media (max-width: 768px) {
    .right-text {
        padding: 2vh 0;
    }

    .right-box a {
        padding: 1.5vh 5vw;
    }
}